Files
Create project file
POST
Add an uploaded file to a project. A missing or unknown token responds with 404 (Redmine renders its 400 Bad Request without a template).
ApiKeyAuthheader
X-Redmine-API-Key<token>project_id*|Project ID or identifier
application/json- body
file*File create payload
Success without content. Redmine < 4.1 responds with 200 instead of 204.
curl -X POST 'https://redmine.example.com/projects/0/files.json' \ -H 'Content-Type: application/json' \ -d '{ "file": { "token": "string" }}'Empty